
#ifndef SPECTRE_GRAPHICS_RENDERSTATE_H
#define SPECTRE_GRAPHICS_RENDERSTATE_H

class ShaderProgram;
class Texture;

class RenderState
{
public :
	RenderState();
	~RenderState();

	void enableTexture(const Texture *texture);

	void enableShader(const ShaderProgram *program);

	void cleanup();

protected :

	const Texture *m_texture;

	const ShaderProgram *m_shader;
};

#endif /* SPECTRE_GRAPHICS_RENDERSTATE_H */
